Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleRuleSet.HierarchyEntry_

    java.lang.Object
      com.ibm.able.rules.AbleRuleSet.HierarchyEntry_

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AbleRuleSet

public final class AbleRuleSet.HierarchyEntry_
extends java.lang.Object
implements java.io.Serializable

This class is used to save selected information about a parent of an extended ruleset.

When a ruleset parent has been completely parsed, selected information about the parent is captured with one of these objects, and then pushed onto a stack that will ultimately reflect the child ruleset's complete hierarchy.

Since:
  ABLE 2.2.0
See Also:
  Serialized Form

Constructor Summary
`AbleRuleSet.HierarchyEntry_(com.ibm.able.rules.AbleRuleSet.ParseStateEntry_ theParseStateEntry)`

Method Summary
`AbleARLTreeNode` | `getARLTree()`
`java.lang.String` | `getRuleSetComment()`
`java.lang.String` | `getRuleSetName()`
`java.io.File` | `getSrcFile()`
`boolean` | `getTemplateFlag()`
`java.lang.String` | `getTokenStreamCache()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleRuleSet.HierarchyEntry_

    public AbleRuleSet.HierarchyEntry_(com.ibm.able.rules.AbleRuleSet.ParseStateEntry_ theParseStateEntry)

Method Detail

### getRuleSetComment

    public java.lang.String getRuleSetComment()

### getTemplateFlag

    public boolean getTemplateFlag()

### getRuleSetName

    public java.lang.String getRuleSetName()

### getARLTree

    public AbleARLTreeNode getARLTree()

### getTokenStreamCache

    public java.lang.String getTokenStreamCache()

### getSrcFile

    public java.io.File getSrcFile()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005